{smcl}
{* *! version 1.0  3mar2011}{...}
{cmd:help orderalpha} 
{hline}

{title:Title}

{p2colset 5 20 22 2}{...}
{phang}
{bf:orderalpha} {hline 2} Order-alpha efficiency analysis{p_end}
{p2colreset}{...}

{title:Syntax}

{p 8 17 2}
{cmd:orderalpha}
{it:{help varname:varname}} {ifin}, {opt inp:uts}({it:{help varlist:varlist1}}) {opt out:puts}({it:{help varlist:varlist2}})
[{cmd:}{it:{help orderalpha##options:options}}]


{synoptset 28 tabbed}{...}
{marker technology_definition}{...}
{synopthdr :technology_definition}
{synoptline}
{syntab :Model}
{synopt :{it:{help varname:varname}}}identifier{p_end}
{synopt :{opth in:puts(varlist1)}}list of input variables{p_end}
{synopt :{opth out:puts(varlist2)}}list of output variables{p_end}

{synoptset 28 tabbed}{...}
{synopthdr :options}
{synoptline}
{syntab :Main}
{synopt :{opt {ul on}ort{ul off}(string)}}{it:string} may be {opt output} or {opt input}; default is {opt ort(input)}{p_end}
{synopt :{opt alp:ha(#)}}set benchmark percentile; default is {opt alpha(100)}{p_end}

{syntab :SE/Bootstrap}
{synopt :{opt boot:strap}}perform bootstrap using 100 replications{p_end}
{synopt :{opt reps:(#)}}set (temporary) number {it:#} of bootstrap replications and perform bootstrap{p_end}
{synopt :{opt tun:e(#)}}set tuning parameter for subsampling bootstrap; values within the [0.5,1] interval are allowed{p_end}

{syntab :Reporting}
{synopt :{opt lev:el(#)}}set confidence level; default is {opt level(95)}{p_end}
{synopt :{opt tab:le(string)}}display table of results; {it:string} may be {opt scores} or {opt full}, {opt no} table is the default{p_end}
{synopt :{opt dot:s(#)}}display replication/loop dots; {it:#} may be {opt 1} or {opt 2}, no dots is the default{p_end}
{synopt :{opt inv:ert}}report reciprocal of output-oriented efficiency scores{p_end}

{syntab :Generate}
{synopt :{opt gen:erate(newvarlist)}}supply names for new variables, containing efficiency scores, ranks, and reference dmus{p_end}
{synopt :{opt repl:ace}}replace existing variables in {it:newvarlist}{p_end}
{synopt :{opt nog:enerate}}do not create new variables containing results{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
{opt weights} are not allowed; see {help weight}.{p_end}
{p 4 6 2}{cmd:bootstrap}, {cmd:by}, and {cmd:svy} are not allowed; see {help prefix}.{p_end}



{title:Description}

{pstd}
{cmd:orderalpha} computes non-parametric order-alpha efficiency scores for decision making units (dmus) as proposed by Daraio and Simar (2007: 74).
Order-alpha efficiency (Aragon et al., 2005) generalizes the free disposal hull (FDH) approach to efficiency measurement (Deprins et al., 1984), which for {opt alpha(100)} 
represents a special case of {cmd:orderalpha}. Unlike FDH, which envelopes all data points by a non-convex production possibility frontier, {cmd:orderalpha} is a partial frontier approach that
allows for super-efficient units that are located beyond the estimated frontier. E.g. for {opt ort(input)}, rather than using minimum input consumption { hline 1} among dmus that produce at least
as much output {hline 1} as benchmark, {cmd:orderalpha} uses the (100-{it:alpha})th percentile. For {opt ort(output)} the benchmark is the {it:alpha}th percentile 
of output generation among dmus that use equal or less input. The number of dmus is limited to the value of {help matsize:matsize}.


{title:Technology Definition}

{dlgtab:Model}

{phang}
{it:varname} must uniquely identify dums. {it:varname} may be either a numeric or a string variable.

{phang}
{opt inputs(varlist1)} specifies inputs to the analyzed production process. At least one input-variables is required. Any variable in {it:varlist1} needs to be numeric and strictly positive. Dmus with missing or non-positive values in 
{it:varlist1} are dropped.

{phang}
{opt outputs(varlist2)} specifies outputs from the analyzed production process. At least one output-variables is required. Any variable in {it:varlist2} needs to be numeric and strictly positive. Dmus with missing or non-positive values in 
{it:varlist2} are dropped. {it:varlist2} may not share any variable with {it:varlist1}.


{marker options}{...}
{title:Options}

{dlgtab:Main}

{phang}
{opt ort(string)} specifies whether {it:input} or {it:output} oriented efficiency is computed. For the former, inefficiency is 
defined in terms of possible proportional reduction in input consumption. For the latter, inefficiency is defined in terms of possible 
proportional increase in output generation. For {opt ort(input)} efficiency scores are smaller than one for inefficient dmus, 
for {opt ort(output)} efficiency scores are greater than one for inefficient dmus, unless the {opt invert} option is specified. Efficient dmus 
in either case are indicated by efficiency scores taking the value one. Super-efficient dmus located beyond the estimated production 
possibility frontier, exhibit input-oriented efficiency greater than one, and output-oriented efficiency smaller than unity.

{phang}
{opt alpha(#)} specifies the {it:#}th percentile as benchmark. The default is {opt alpha(100)}, that is FDH. Note: specified values smaller than 
unity are still interpreted in terms of percentiles not quantiles. Values outside (0,100] are not allowed.

{dlgtab:SE/Bootstrap}

{phang}
{opt bootstrap} invokes bootstrapping using 100 boostrap replications. If neither {opt bootstrap} nor {opt reps(#)} is specified, 
{cmd:orderalpha} does not compute standard errors for the estimated efficiency scores. The bootstrap will fail in determining non-zero SEs 
for dmus, for which no (or only few) peers are available in the sample, apart from the dmu itself. For large samples, bootstrapping 
generates a huge {it:NxN} VCE and requires substantial computing time, which quadratically increases in {it:N}.

{phang}
{opt reps(#)} is equivalent to {opt bootstrap}, besides allowing for choosing the number of bootstrap repetitions {it:#}.

{phang}
{opt tune(#)} determines the size of the bootstrap samples as int({it:N}^#). Subsampling is applied in order to 
account for the naive bootstrap being inconsistent in a boundary estimation framework. The boundary nature of the estimation problem
vanishes as {opt alpha(#)} departs from 100. For values of {opt alpha(#)} substantially smaller than 100 one may apply the naive bootstrap, 
i.e. {opt tune(1)}. For FDH, the specified value should be smaller than unity. The default is {opt tune}((1+exp(50-alpha/2))/(2+exp(50-alpha/2))) 
that is 2/3 for FDH.

{dlgtab:Reporting}

{phang}
{opt level(#)}; see {helpb estimation options##level():[R] estimation options}.

{phang}
{opt table(string)} invokes displaying a results table. For {opt table(scores)} estimated efficiency scores
are displayed as if thy were regression coefficients. For {opt table(full)} efficiency ranks and reference dmus are also displayed.
{cmd:orderalpha} may generate a huge table as {it:N} scores are computed. Hence, suppressing table display
is the default. {opt table(full)} is not allowed for {it:N} > 2994 and cannot be re-displayed by typing {cmd:orderalpha} without arguments.

{phang}
{opt dots(#)} invokes displaying replication dots and loop dots. For {opt dots(1)} one dot 
character is displayed for each bootstrap replication. For {opt dots(2)} one dot character is also displayed for 
each dmu being analyzed. Type {opt 2} dots are not displayed during bootstrap replications.

{phang}
{opt invert} makes output-oriented efficiency being reported analogously to input-oriented efficiency by taking the reciprocal. 
That is, with {opt invert} specified, inefficient dmus exhibit efficiency scores smaller than one, irrespective of how {opt ort()} is specified. {opt invert} has no effect on input-oriented efficiency.

{dlgtab:Generate}

{phang}
{opt generate(newvarlist)} specifies the names of a new variables containing estimation results. {it:newvarlist} may 
consist of up to three names. {it:newvar1} denotes estimated efficiency scores, {it:newvar2} denotes efficiency
ranks, and {it:newvar3} denotes the name of the reference dmu. If {hline 1} because of ties in the data {hline 1} for some dums more than one 
reference dmu is identified, further variables {it:newvar3}_2, {it:newvar3}_3, ... are created. If {opt generate(newvarlist)} 
is not specified or less than three names are assigned, default names are {it:_oa_ort_alpha}, {it:_oarank_ort_alpha}, and 
{it:_oaref_ort_alpha}. For FDH default names are {it:_fdh_ort}, {it:_fdhrank_ort}, and {it:_fdhref_ort}.

{phang}
{opt replace} specifies that existing variables named {it:newvar1}, {it:newvar2}, or {it:newvar3} may be replaced.

{phang}
{opt nogenerate} specifies that results are not saved to new variables.


{title:Examples}

{pstd}FDH input-oriented efficiency{p_end}
{phang2}{cmd:. orderalpha firm, inputs(capital labor energy) outputs(durables perishables)}{p_end}

{pstd}Order-alpha(95) output-oriented efficiency{p_end}
{phang2}{cmd:. orderalpha firm, inputs(capital labor energy) outputs(durables perishables) ort(output) alpha(95) gen(effi rank ref)}{p_end}

{pstd}Order-alpha(90) input-oriented efficiency with boostrap{p_end}
{phang2}{cmd:. orderalpha firm, inputs(capital labor energy) outputs(durables perishables) alpha(90) reps(250) dots(2) gen(effi rank ref) replace}{p_end}

{pstd}After orderalpha with bootstrapping, stata's testing routines can be used as usual{p_end}
{phang2}{cmd:. test _b[firm:Boogle]-_b[firm:Macrosoft]=0}{p_end}

{title:Saved results}

{pstd}
{cmd:orderalpha} saves the following in {cmd:e()}:

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}number of dmus{p_end}
{synopt:{cmd:e(alpha)}}value of {opt alpha(#)}{p_end}
{synopt:{cmd:e(inputs)}}number of inputs{p_end}
{synopt:{cmd:e(outputs)}}number of outputs{p_end}
{synopt:{cmd:e(efficient)}}share of efficient dmus{p_end}
{synopt:{cmd:e(super)}}share of super-efficient dmus{p_end}
{synopt:{cmd:e(mean_e)}}mean estimated efficiency{p_end}
{synopt:{cmd:e(med_e)}}median estimated efficiency{p_end}
{synopt:{cmd:e(level)}}confidence level{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:orderalpha}{p_end}
{synopt:{cmd:e(cmdline)}}command as typed{p_end}
{synopt:{cmd:e(title)}}{cmd:Order-alpha efficiency analysis}{p_end}
{synopt:{cmd:e(dmuid)}}{it:varname} (name of dmu-identifier){p_end}
{synopt:{cmd:e(model)}}either {cmd:Order-alpha} or {cmd:FDH}{p_end}
{synopt:{cmd:e(saved)}}names of variables saved (not saved for option {opt nogenerate}){p_end}
{synopt:{cmd:e(table)}}{cmd:scores}, {cmd:full}, or {cmd:no}{p_end}
{synopt:{cmd:e(invert)}}either {opt inverted} or {opt notinverted} (not saved for {opt ort(input)}){p_end}
{synopt:{cmd:e(ort)}}either {opt input} or {opt output}{p_end}
{synopt:{cmd:e(properties)}}either {opt b} or {opt b V}{p_end}
{synopt:{cmd:e(depvar)}}{cmd:dmu}{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}vector of estimated efficiency scores ({it:colnames} are of the form {it: varname:value_of_varname}){p_end}
{synopt:{cmd:e(ranks)}}vector of efficiency ranks ({it:colnames} are of the form {it: varname:value_of_varname}){p_end}
{synopt:{cmd:e(reference)}}matrix of names of reference dums (not saved if {it:varname} is a string variable){p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}marks estimation sample{p_end}
{p2colreset}{...}


{pstd}
{cmd:orderalpha, boot reps(#)} additionally saves the following in {cmd:e()}:

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Scalars}{p_end}
{synopt:{cmd:e(N_reps)}}number of bootstrap repetitions{p_end}
{synopt:{cmd:e(tune)}}value of tuning parameter{p_end}
{synopt:{cmd:e(N_bs)}}size of bootstrap samples{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Macros}{p_end}
{synopt:{cmd:e(vce)}}{cmd:bootstrap}{p_end}
{synopt:{cmd:e(vcetype)}}{cmd:Bootstrap}{p_end}

{synoptset 20 tabbed}{...}
{p2col 5 20 24 2: Matrices}{p_end}
{synopt:{cmd:e(V)}}bootstrap variance-covariance matrix for estimated efficiency scores{p_end}
{synopt:{cmd:e(bias)}}estimated biases{p_end}
{synopt:{cmd:e(reps)}}number of nonmissing results{p_end}
{synopt:{cmd:e(b_bs)}}bootstrap estimates{p_end}


{title:References}

{pstd}
Aragon, Y., A. Daouia and C. Thomas-Agnan (2005). Nonparametric frontier estimation: a conditional quantile-based approach. {it:Econometric Theory} 21, 358389.

{pstd}
Daraio, C. and L. Simar (2007). {it:Advanced robust and nonparametric methods in efficiency analysis: Methodology and applications}. Springer, New York.

{pstd}
Deprins, D., L. Simar and H. Tulkens (1984). Measuring laborefficiency in post offices, in: Marchand, M., P. Pestieau, H. Tulkens, (eds.), 
{it:The Performance of Public Enterprises: Concepts and Measurement}. Elsevier, Amsterdam, 243-267.

{title:Also see}

{psee}
Manual:  {manlink R frontier}

{psee}
{space 2}Help:  {manhelp frontier R:frontier}{break}

{psee}
Online:  {helpb dea}, {helpb orderm}, {helpb oaoutlier}{p_end}


{title:Author}

{psee}
Harald Tauchmann{p_end}
{psee}
Rheinisch-Westflisches Institut fr Wirtschaftsforschung (RWI){p_end}
{psee}
Essen, Germany{p_end}
{psee}
E-mail: harald.tauchmann@rwi-essen.de
{p_end}


{title:Disclaimer}
 
{pstd} This software is provided "as is" without warranty of any kind, either expressed or implied. The entire risk as to the quality and 
performance of the program is with you. Should the program prove defective, you assume the cost of all necessary servicing, repair or 
correction. In no event will the copyright holders or their employers, or any other party who may modify and/or redistribute this software, 
be liable to you for damages, including any general, special, incidental or consequential damages arising out of the use or inability to 
use the program.
{p_end} 


{title:Acknowledgements}

{pstd}
This work has been supported in part by the Collaborative Research Center "Statistical Modelling of
Nonlinear Dynamic Processes" (SFB 823) of the German Research Foundation (DFG).
{p_end}
